Bug 6542 - std::istream >> (unsigned int) fails
: std::istream >> (unsigned int) fails
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/gcc2.95-c++)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-04-15 16:56 by
Modified: 2008-02-15 23:27 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-04-15 16:56:59
Компилируем компилятором gcc-2.95 и запускаем следующую программу:

#include <iostream>
#include <sstream>
using namespace std;

int main()
{
  unsigned ui;
  stringstream stream;
  stream << "123";
  if  ( (stream>>ui) )
    cout << ui << endl;
  else
    cerr << "Conversion failed\n";
}

Actual Results:  
Conversion failed

Expected Results:  
123
------- Comment #1 From 2005-05-11 03:00:54 -------
Current maintainer do not plan to consider bugs in such ancient compilers as
gcc++-2.95.
------- Comment #2 From 2005-11-03 10:49:26 -------
Если не планирует, зачем тогда "RESOLVED LATER"? :) 
Думаю, больше не будем вспоминать этот компилятор :) 
------- Comment #3 From 2008-02-15 23:25:20 -------
re
------- Comment #4 From 2008-02-15 23:26:59 -------
Ну и ффпопу тогда.